import type React from "react"
import type { Metadata } from "next"
import { Inter } from "next/font/google"
import "./globals.css"

const inter = Inter({ subsets: ["latin"] })

export const metadata: Metadata = {
  title: "TechLake.co - Data Engineering Consulting",
  description: "Enterprise-grade data analytics engineering solutions that drive measurable business outcomes",
  keywords: "data engineering, analytics, cloud migration, data platform, machine learning, MLOps",
  authors: [{ name: "TechLake" }],
  openGraph: {
    title: "TechLake.co - Data Engineering Consulting",
    description: "Transform your data into strategic advantage with our enterprise-grade solutions",
    url: "https://techlake.co",
    siteName: "TechLake",
    type: "website",
  },
  twitter: {
    card: "summary_large_image",
    title: "TechLake.co - Data Engineering Consulting",
    description: "Transform your data into strategic advantage",
  },
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={inter.className}>{children}</body>
    </html>
  )
}
